Home | All Classes | Grouped Classes | Index | Search

# Class CL_FadeFilter

Fade Filter Class More...

Derived from: CL_SoundFilter
Derived by: none
Group: Sound (Filters)

#include <ClanLib/sound.h>

Construction:

CL_FadeFilter | Fade Filter Constructor

Attributes:

get_volume | Returns the current volume of the fade filter, from 0.0f (no volume) to 1.0f (full volume).

Operations:

set_volume | Sets the volume instant.
fade_to_volume | Fade to volume, from 0.0f (no volume) to 1.0f (full volume).

Overridables:

filter |

Detailed description:

!group=Sound/Filters! !header=sound.h!
Questions or comments, write to the ClanLib mailing list.